package prodcons;
/**
 * Rozhraní pro sdílenou paměť (buffer) v problému
 * producent-konzument.
 */
public interface Buffer {

	/**
	 * Uloží hodnotu value do sdílené paměti.
	 * 
	 * @param value
	 *            hodnota ukládaná ze sdílené paměti.
	 */
	public void set(int value);

	/**
	 * Načte hodnotu ze sdílené paměti.
	 * 
	 * @return hodnota načtená ze sdílené paměti.
	 */
	public int get();
}
